## org.h2.result
Interface SearchRow

All Known Implementing Classes:
  Row, RowImpl, SimpleRow, SimpleRowValue

    public interface SearchRow

The interface for rows stored in a table, and for partial rows stored in the index.

Field Summary
`static SearchRow[]` `EMPTY_ARRAY` An empty array of SearchRow objects.

Method Summary
`int` `getColumnCount()` Get the column count.
`long` `getKey()` Get the unique key of the row.
`int` `getMemory()` Get the estimated memory used for this row, in bytes.
`Value` `getValue(int index)` Get the value for the column
`int` `getVersion()` Get the version of the row.
`void` `setKey(long key)` Set the unique key of the row.
`void` `setKeyAndVersion(SearchRow old)` Set the position and version to match another row.
`void` `setValue(int index, Value v)` Set the value for given column

Field Detail

### EMPTY_ARRAY

    static final SearchRow[] EMPTY_ARRAY

  An empty array of SearchRow objects.

Method Detail

### getColumnCount

    int getColumnCount()

  Get the column count.

  Returns:
    the column count

### getValue

    Value getValue(int index)

  Get the value for the column

  Parameters:
    `index` - the column number (starting with 0)
  Returns:
    the value

### setValue

    void setValue(int index,
                  Value v)

  Set the value for given column

  Parameters:
    `index` - the column number (starting with 0)
    `v` - the new value

### setKeyAndVersion

    void setKeyAndVersion(SearchRow old)

  Set the position and version to match another row.

  Parameters:
    `old` - the other row.

### getVersion

    int getVersion()

  Get the version of the row.

  Returns:
    the version

### setKey

    void setKey(long key)

  Set the unique key of the row.

  Parameters:
    `key` - the key

### getKey

    long getKey()

  Get the unique key of the row.

  Returns:
    the key

### getMemory

    int getMemory()

  Get the estimated memory used for this row, in bytes.

  Returns:
    the memory